/*-
 * Copyright (c) 2007-2008 Michael Telahun Makonnen <mtm@FreeBSD.Org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#include <sys/cdefs.h>
__FBSDID("$FreeBSD$");

#include <sys/queue.h>
#include <stdlib.h>

#include "conf.h"

void
new_bedist(struct be_dist **pp, size_t num)
{
	/* calloc(3) pre-zeroes allocated memory */
	*pp = (struct be_dist *)calloc(num, sizeof(struct be_dist));
	if (*pp != NULL)
		TAILQ_INIT(&(*pp)->bd_distq);
}

void
destroy_bedist(struct be_dist *p)
{
	struct be_dist *dist, *dTemp;

	TAILQ_FOREACH_SAFE(dist, &p->bd_distq, bd_link, dTemp) {
		TAILQ_REMOVE(&p->bd_distq, dist, bd_link);
		destroy_bedist(dist);
	}
	free(p);
}

void
new_dptr(struct  cf_dptr **dp, size_t num)
{
	*dp = (struct cf_dptr *)calloc(num, sizeof(struct cf_dptr));
}

void
destroy_dptr(struct cf_dptr *cd)
{
	if (cd != NULL) {
		if (cd->cd_id != NULL)
			free(cd->cd_id);
		free(cd);
	}
}
