
#include <stdio.h>

#include "conf.h"

void
print_bc(struct be_conf *bc)
{
	struct be_dist *dist, *dist1;
	int spaces, i;

	spaces = 0;
	TAILQ_FOREACH(dist, &bc->bc_distq, bd_link) {
		printf("%s:", dist->bd_id);
		printf(" src=%s", dist->bd_src);
		printf(" dst=%s", dist->bd_dst);
		printf(" arch=%s", dist->bd_arch);
		printf(" req=%d", dist->bd_required);
		printf(" display=%s\n", dist->bd_display);
		printf("  %s \n", dist->bd_desc);
		if (!TAILQ_EMPTY(&dist->bd_distq)) {
			spaces += 4;
			TAILQ_FOREACH(dist1, &dist->bd_distq, bd_link) {
				for (i = 0; i < spaces; i++)
					printf(" ");
				printf("%s:", dist1->bd_id);
				printf(" src=%s", dist1->bd_src);
				printf(" dst=%s", dist1->bd_dst);
				printf(" arch=%s", dist1->bd_arch);
				printf(" req=%d", dist1->bd_required);
				printf(" display=%s\n", dist1->bd_display);
				for (i = 0; i < spaces; i++)
					printf(" ");
				printf("  %s \n", dist1->bd_desc);
			}
			spaces -= 4;
		}
	}
}

void
print_cc(struct cf_conf *cc)
{
	struct cf_dptr *cd;

	TAILQ_FOREACH(cd, &cc->cc_dptrq, cd_link) {
		printf("distptr: %s\n", cd->cd_id);
	}
}

int
main(int argc, char **argv)
{
	union conf_selector cs;
	struct be_conf *beconf;
	struct cf_conf *cc;
	struct cf_dptr *cd;
	int cflag;
	int ch;

	cflag = 0;
	while ((ch = getopt(argc, argv, "c")) != -1) {
		switch (ch) {
		case 'c':
			cflag = 1;
			break;
		default:
			errx("Usage: test [-c]");
		}
	}

	beconf = (struct be_conf *)&cs.cs_be;
	cc = (struct cf_conf *)&cs.cs_cf;
	if (cflag) {
		xml2mem(stdin, &cs, XT_CONFIG);
		print_cc(cc);
	} else {
		xml2mem(stdin, &cs, XT_BE);
		print_bc(beconf);
	}

	return (0);
}
